wresize(3X)

NAME
wresize - resize a curses window

SYNOPSIS
#include <ncurses/curses.h>

int wresize(WINDOW *win, int lines, int columns);

DESCRIPTION
This ncurses extension to standard curses reallocates storage for a curses window to adjust its dimensions to the specified values. If either dimension is larger than its current value, the expanded part of the window is filled with blanks merged with current background rendition (as set by wbkgdset(3X)).

RETURN VALUE
wresize returns ERR upon failure and OK on success. It will fail if either of the dimensions is less than or equal to zero, or if an error occurs while (re)allocating memory for the window.

NOTES
The only restriction placed on the dimensions is that they be greater than zero. They are not compared to the curses screen dimensions; this keeps the logic of resizeterm(3X) simple. The caller must ensure that the window's dimensions fit within the actual screen dimensions.

PORTABILITY
It is not possible to resize windows with SVr4 curses.

ncurses introduced this extension in mid-1995. NetBSD curses adopted it in 2001, and PDCurses in 2003.

AUTHORS
Thomas Dickey (from an equivalent function written in 1988 for BSD curses).

SEE ALSO
resizeterm(3X)